Skip to main content
GET
GET /v1/services/messagingServices/{id}/versions

Messaging Service Versions

Every change to a messaging service entity creates a new version. Use these endpoints to view the version history and retrieve specific versions.

List Versions

id
string
required
UUID of the messaging service.

Get Specific Version

Use GET /v1/services/messagingServices/{id}/versions/{version} to retrieve a specific version.
id
string
required
UUID of the messaging service.
version
string
required
Version number to retrieve (e.g., 0.2).
GET /v1/services/messagingServices/{id}/versions

Returns

List versions returns an object with entityType and a versions array of serialized entity snapshots (newest first). Get specific version returns the full messaging service object as it existed at that version.

Error Handling